OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures
tilematrix_type.hpp File Reference

Template for storing a value per area of the map. More...

`#include "core/alloc_func.hpp"`
`#include "tilearea_type.h"`

Go to the source code of this file.

## Data Structures
class | TileMatrix< T, N >
| A simple matrix that stores one value per N*N square of the map. More...

## Detailed Description

Template for storing a value per area of the map.

Definition in file tilematrix_type.hpp.